// Copyright 2005 Konrad Twardowski
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//   http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.makagiga.common;

import javax.swing.JMenuBar;

/** A menu bar. */
public class MMenuBar extends JMenuBar {

	// public

	/**
	 * Returns menu at @p index, or @c null if there is no menu at that position.
	 */
	public MMenu getMenuAt(final int index) {
		return (MMenu)getMenu(index);
	}

}
